<?php
/**
* Adsmanager Redundant Ads Deletion
* 
* @copyright 2011 Ben Tasker. All rights reserved.
* @license GNU GPL V3
*	See http://projects.bentasker.co.uk/License.php?ref=2 
*
* Basic component to implement the deletion of ads created by users who no longer exist on the system
*
*/
 
// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
 
// Require the base controller
 
require_once( JPATH_COMPONENT.DS.'controller.php' );
 
// Require specific controller if requested
if($controller = JRequest::getWord('controller')) {
    $path = JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';
    if (file_exists($path)) {
        require_once $path;
    } else {
        $controller = '';
    }
}
 
// Create the controller
$classname    = 'adsman_redundantadsController'.$controller;
$controller   = new $classname( );
 
// Perform the Request task
$controller->execute( JRequest::getWord( 'task' ) );
 
// Redirect if set by the controller
$controller->redirect();
